Groovy Documentation

## org.codehaus.groovy.grails.commons
[Java] Class DefaultGrailsControllerClass

    java.lang.Object
      org.codehaus.groovy.grails.commons.AbstractGrailsClass
          org.codehaus.groovy.grails.commons.AbstractInjectableGrailsClass
              org.codehaus.groovy.grails.commons.DefaultGrailsControllerClass

All Implemented Interfaces:
  GrailsControllerClass

    @SuppressWarnings("rawtypes")
    public class DefaultGrailsControllerClass
    extends AbstractInjectableGrailsClass

Evaluates the conventions contained within controllers to perform auto-configuration.

Authors:
  Graeme Rocher
  Steven Devijver

Since:
  0.1

Field Summary
`static java.lang.String` | `CONTROLLER`

Constructor Summary
`DefaultGrailsControllerClass(java.lang.Class clazz)`

Method Summary
`groovy.lang.Closure` | `getAfterInterceptor(groovy.lang.GroovyObject controller)`
`groovy.lang.Closure` | `getBeforeInterceptor(groovy.lang.GroovyObject controller)`
`java.lang.String` | `getClosurePropertyName(java.lang.String uri)`
`java.util.Set` | `getCommandObjectActions()` @deprecated This method is deprecated and will be removed in a future version of Grails
`java.util.Set` | `getCommandObjectClasses()` @deprecated This method is deprecated and will be removed in a future version of Grails
`java.lang.String` | `getDefaultAction()`
`java.util.Map` | `getFlows()`
`String[]` | `getURIs()`
`java.lang.String` | `getViewByName(java.lang.String viewName)`
`java.lang.String` | `getViewByURI(java.lang.String uri)`
`boolean` | `isFlowAction(java.lang.String actionName)`
`boolean` | `isHttpMethodAllowedForAction(groovy.lang.GroovyObject controller, java.lang.String httpMethod, java.lang.String actionName)`
`boolean` | `isInterceptedAfter(groovy.lang.GroovyObject controller, java.lang.String action)`
`boolean` | `isInterceptedBefore(groovy.lang.GroovyObject controller, java.lang.String action)`
`boolean` | `mapsToURI(java.lang.String uri)`
`void` | `registerMapping(java.lang.String actionName)`
`void` | `setDefaultActionName(java.lang.String defaultActionName)`

Methods inherited from class AbstractInjectableGrailsClass
byName, byType, getAvailable

Methods inherited from class AbstractGrailsClass

getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReference, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isReadableProperty, newInstance, toString

Field Detail

### CONTROLLER

    public static final java.lang.String CONTROLLER

Constructor Detail

### DefaultGrailsControllerClass

    public DefaultGrailsControllerClass(java.lang.Class clazz)

Method Detail

### getAfterInterceptor

    public groovy.lang.Closure getAfterInterceptor(groovy.lang.GroovyObject controller)

### getBeforeInterceptor

    public groovy.lang.Closure getBeforeInterceptor(groovy.lang.GroovyObject controller)

### getClosurePropertyName

    public java.lang.String getClosurePropertyName(@SuppressWarnings("hiding") java.lang.String uri)

### getCommandObjectActions

    @Deprecated
    public java.util.Set getCommandObjectActions()

  deprecated:
    This method is deprecated and will be removed in a future version of Grails

### getCommandObjectClasses

    @SuppressWarnings("unchecked")
    @Deprecated
    public java.util.Set getCommandObjectClasses()

  deprecated:
    This method is deprecated and will be removed in a future version of Grails

### getDefaultAction

    public java.lang.String getDefaultAction()

### getFlows

    public java.util.Map getFlows()

### getURIs

    public String[] getURIs()

### getViewByName

    public java.lang.String getViewByName(java.lang.String viewName)

### getViewByURI

    public java.lang.String getViewByURI(@SuppressWarnings("hiding") java.lang.String uri)

### isFlowAction

    public boolean isFlowAction(java.lang.String actionName)

### isHttpMethodAllowedForAction

    public boolean isHttpMethodAllowedForAction(groovy.lang.GroovyObject controller, java.lang.String httpMethod, java.lang.String actionName)

### isInterceptedAfter

    public boolean isInterceptedAfter(groovy.lang.GroovyObject controller, java.lang.String action)

### isInterceptedBefore

    public boolean isInterceptedBefore(groovy.lang.GroovyObject controller, java.lang.String action)

### mapsToURI

    public boolean mapsToURI(@SuppressWarnings("hiding") java.lang.String uri)

### registerMapping

    public void registerMapping(java.lang.String actionName)

### setDefaultActionName

    public void setDefaultActionName(java.lang.String defaultActionName)

Groovy Documentation